zenilib: zenilib/jni/external/lib3ds/src/lib3ds_background.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
lib3ds_background.c File Reference
`#include "lib3ds_impl.h"`

Go to the source code of this file.

## Functions

static int | colorf_defined (float rgb[3])
static void | colorf_write (float rgb[3], Lib3dsIo *io)
void | lib3ds_background_read (Lib3dsBackground *background, Lib3dsIo *io)
void | lib3ds_background_write (Lib3dsBackground *background, Lib3dsIo *io)
static void | solid_bgnd_read (Lib3dsBackground *background, Lib3dsIo *io)
static void | v_gradient_read (Lib3dsBackground *background, Lib3dsIo *io)

## Function Documentation

static int colorf_defined | ( | float | rgb[3] | ) |

static

Definition at line 150 of file lib3ds_background.c.

References fabs(), i, and LIB3DS_EPSILON.

Referenced by lib3ds_background_write().

static void colorf_write | ( | float | rgb[3],
|  | Lib3dsIo * | io
| ) |  |

static

Definition at line 134 of file lib3ds_background.c.

References CHK_COLOR_F, CHK_LIN_COLOR_F, Lib3dsChunk::chunk, lib3ds_chunk_write(), lib3ds_io_write_rgb(), and Lib3dsChunk::size.

Referenced by lib3ds_background_write().

void lib3ds_background_read | ( | Lib3dsBackground * | background,
|  | Lib3dsIo * | io
| ) |  |

Definition at line 93 of file lib3ds_background.c.

References Lib3dsBackground::bitmap_name, CHK_BIT_MAP, CHK_SOLID_BGND, CHK_USE_BIT_MAP, CHK_USE_SOLID_BGND, CHK_USE_V_GRADIENT, CHK_V_GRADIENT, Lib3dsChunk::chunk, lib3ds_chunk_read(), lib3ds_chunk_read_reset(), lib3ds_io_read_string(), solid_bgnd_read(), TRUE, Lib3dsBackground::use_bitmap, Lib3dsBackground::use_gradient, Lib3dsBackground::use_solid, and v_gradient_read().

Referenced by mdata_read().

void lib3ds_background_write | ( | Lib3dsBackground * | background,
|  | Lib3dsIo * | io
| ) |  |

Definition at line 162 of file lib3ds_background.c.

References Lib3dsBackground::bitmap_name, CHK_BIT_MAP, CHK_SOLID_BGND, CHK_USE_BIT_MAP, CHK_USE_SOLID_BGND, CHK_USE_V_GRADIENT, CHK_V_GRADIENT, Lib3dsChunk::chunk, colorf_defined(), colorf_write(), Lib3dsBackground::gradient_bottom, Lib3dsBackground::gradient_middle, Lib3dsBackground::gradient_percent, Lib3dsBackground::gradient_top, lib3ds_chunk_write(), lib3ds_io_write_float(), lib3ds_io_write_string(), Lib3dsChunk::size, Lib3dsBackground::solid_color, Lib3dsBackground::use_bitmap, Lib3dsBackground::use_gradient, and Lib3dsBackground::use_solid.

Referenced by mdata_write().

static void solid_bgnd_read | ( | Lib3dsBackground * | background,
|  | Lib3dsIo * | io
| ) |  |

static

Definition at line 22 of file lib3ds_background.c.

References CHK_COLOR_F, CHK_LIN_COLOR_F, CHK_SOLID_BGND, chunk, FALSE, lib3ds_chunk_read_end(), lib3ds_chunk_read_next(), lib3ds_chunk_read_start(), lib3ds_chunk_unknown(), lib3ds_io_read_rgb(), Lib3dsBackground::solid_color, and TRUE.

Referenced by lib3ds_background_read().

static void v_gradient_read | ( | Lib3dsBackground * | background,
|  | Lib3dsIo * | io
| ) |  |

static

Definition at line 50 of file lib3ds_background.c.

References CHK_COLOR_F, CHK_LIN_COLOR_F, CHK_V_GRADIENT, chunk, Lib3dsBackground::gradient_bottom, Lib3dsBackground::gradient_middle, Lib3dsBackground::gradient_percent, Lib3dsBackground::gradient_top, i, lib3ds_chunk_read_end(), lib3ds_chunk_read_next(), lib3ds_chunk_read_start(), lib3ds_chunk_read_tell(), lib3ds_chunk_unknown(), lib3ds_io_read_float(), and lib3ds_io_read_rgb().

Referenced by lib3ds_background_read().